curs_insch(3X)

NAME
curs_insch: insch, winsch, mvinsch, mvwinsch - insert a character before cursor in a ncurses window

SYNOPSIS
#include <ncurses.h> int insch(chtype ch);
int winsch(WINDOW *win, chtype ch);
int mvinsch(int y, int x, chtype ch);
int mvwinsch(WINDOW *win, int y, int x, chtype ch);

DESCRIPTION
These routines, insert the character ch before the character under the cursor. All characters to the right of the cursor are moved one space to the right, with the possibility of the rightmost character on the line being lost. The insertion operation does not change the cursor position.

RETURN VALUE
All routines return the integer ERR upon failure and an integer value other than ERR upon successful completion.

NOTES
These routines do not necessarily imply use of a hardware insert character feature. Note that insch, mvinsch, and mvwinsch may be macros.

SEE ALSO
ncurses(3X).